package com.kingdee.eas.custom.handover;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WorkHandoverCollection extends AbstractObjectCollection 
{
    public WorkHandoverCollection()
    {
        super(WorkHandoverInfo.class);
    }
    public boolean add(WorkHandoverInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WorkHandoverCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WorkHandoverInfo item)
    {
        return removeObject(item);
    }
    public WorkHandoverInfo get(int index)
    {
        return(WorkHandoverInfo)getObject(index);
    }
    public WorkHandoverInfo get(Object key)
    {
        return(WorkHandoverInfo)getObject(key);
    }
    public void set(int index, WorkHandoverInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WorkHandoverInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WorkHandoverInfo item)
    {
        return super.indexOf(item);
    }
}